## Class impl

boost::log::attributes::counter::impl — Factory implementation.

## Synopsis

    // In header: <boost/log/attributes/counter.hpp>

    // Factory implementation.

    class impl : public attribute::impl {
    public:
      // construct/copy/destruct
      impl(value_type, value_type) noexcept;

      // public member functions
      virtual attribute_value get_value();
    };

## Description

### `impl` public construct/copy/destruct

1.     impl(value_type initial, value_type step) noexcept;

### `impl` public member functions

1.     virtual attribute_value get_value();

   Returns: | The actual attribute value. It shall not return empty values (exceptions shall be used to indicate errors).